package com.fdage.dao.cust;

import com.fdage.pojo.TbCollection;
import com.fdage.pojo.TbCollectionTime;
import com.fdage.pojo.TbCollectionType;
import com.fdage.request.RequestCollection;
import com.fdage.respon.ResponCollection;
import com.fdage.respon.ResponStatistics;

import java.util.List;
import java.util.Map;

public interface TbCollectionMapperCust {

    List<TbCollectionTime> timeList();

    List<TbCollectionType> typeList(RequestCollection bo);

    List<ResponCollection> findList(RequestCollection bo);

    List<ResponCollection> findListByExhibitionId(Long id);

    List<ResponCollection> searchListByName(RequestCollection collection);

    int addLikeNumById(Long id);

    TbCollection findByName(String name);

    int addOpenNumById(Long id);

    int addSearchNumById(Long id);

    int addDownloadNumById(Long id);

    ResponStatistics collectionTotal();

    List<ResponCollection> findListOrderBy(Map<String, String> map);

    List<Map<String, Object>> typeTotal();

}